import java.io.*;

// Exercise 3.17
//    --- this program read an integer between 0 and 100 (inclusive), and 
//        prints out the amoount of change that would be received from one 
//        dollar in quarters, dimes, nickels, and pennies


class Change3{

  public static void main (String[] args) throws IOException {
    
        DataInputStream stdin = new DataInputStream(System.in);
	int price,
	    change,
	    quarters=0,
	    dimes=0,
	    nickels=0,
	    pennies=0;
     
        System.out.print("Enter the purchase amount [0-100], Enter -1 to quit: ");
        System.out.flush();
        price = Integer.parseInt(stdin.readLine());
        
        while (price != -1) {
	  // keep calculating change until -1 is entered

	  if (price<0 || price>100)
	    System.out.println("Error - Price must be between 0 and 100 cents.");

	  else{
	    change=100-price;
	    System.out.println("Your change of " +change+ " cents is given as:");
	 
	    if (change >= 25) { 
	      quarters = change/25;      // yields #quarters
	      change = change%25;        // yields leftover change
	    }

	    if (change >= 10){
	      dimes = change/10;         // yields #dimes
	      change = change%10;        // yields leftover change
	    }

	    if (change >= 5){
	      nickels = change/5;       // yields #nickels
	      change = change%5;        // yields leftover change
	    }
	    
	    pennies=change;             // #pennies is the leftover change

    
            // If only one coin, outputs singular form, ow outputs plural form
	    if (quarters == 1 )
	      System.out.println(quarters + " Quarter");
	    else
	      System.out.println(quarters + " Quarters");

	    if (dimes == 1 )
	      System.out.println(dimes + " Dime");
	    else
	      System.out.println(dimes + " Dimes"); 
	    
	    if (nickels == 1 )
	      System.out.println(nickels + " Nickel");
	    else
	      System.out.println(nickels + " Nickels");
	 
	    if (pennies == 1 )
	      System.out.println(pennies + " Penny");
	    else
	      System.out.println(pennies + " Pennies");
	  }
         
	  // re-initialize variables
          quarters = 0;
          dimes = 0;
          nickels = 0;
          pennies = 0;

	  // prompt user again
	  System.out.print("Enter the purchase amount [0-100], Enter -1 to quit: ");
	  System.out.flush();
	  price = Integer.parseInt(stdin.readLine());
	}
  }
}
