import java.io.*;

// Exercise 3.17
//    --- this program read an integer between 0 and 100 (inclusive), and 
//        prints out the amoount of change that would be received from one 
//        dollar in quarters, dimes, nickels, and pennies


class Change{

  public static void main (String[] args) throws IOException {
    
        DataInputStream stdin = new DataInputStream(System.in);
	int price,
	    change,
	    quarters=0,
	    dimes=0,
	    nickels=0,
	    pennies=0;

        System.out.print("Enter the purchase amount [0-100]: ");
        System.out.flush();
        price = Integer.parseInt(stdin.readLine());

	if (price<0 || price>100)
	  System.out.println("Error - Price must be between 0 and 100 cents.");

	else{
	  change=100-price;
	  System.out.println("Your change of " +change+ " cents is given as:");
	 
	  if (change>25) { 
	    quarters = change/25;       // yields #quarters
	    change = change%25;         // yields leftover change
	  }

	  if (change >10){
	    dimes = change/10;          // yields #dimes
	    change = change%10;         // yields leftover change
	  }

	  if (change > 5){
	    nickels = change/5;         // yields #nickels
	    change = change%5;          // yields leftover change
	  }

	  pennies=change;               // #pennies is leftover change

          // Output the breakdown of the Change
	  System.out.println (quarters + " Quarters");
	  System.out.println (dimes + " Dimes");
	  System.out.println (nickels + " Nickels");
	  System.out.println (pennies + " Pennies");
	}
  }
}
